=== debian/changelog ===
postgresql-autodoc (1.40-3) unstable; urgency=low

  * debian/control:
    + Update maintainer email address.
    + Add ${misc:Depends} to Depends field.
    + Bump Standards-Version to 3.8.4. (No changes needed.)
  * debian/source/format: Use format 3.0 (quilt).

 -- Tim Retout <diocles@debian.org>  Thu, 28 Jan 2010 23:00:19 +0000

postgresql-autodoc (1.40-2) unstable; urgency=low

  * debian/control:
    + Update Standards-Version to 3.8.3. (No changes needed.)
    + Use quilt instead of dpatch in Build-Depends.
  * debian/rules: include quilt makefile instead of dpatch.
  * debian/patches/:
    + Rename '02_synopsis_correction.dpatch' to 'synopsis-correction'.
    + Use 'series' instead of '00list' file.
  * debian/patches/synopsis-correction: Clean up description.
  * debian/README.source: New file.

 -- Tim Retout <tim@retout.co.uk>  Sat, 31 Oct 2009 22:23:05 +0000

postgresql-autodoc (1.40-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * New upstream version. (Closes: #532614)
  * debian/watch:
    + Fix to work with upstream web site.
  * debian/rules:
    + Removed autoconf-related stuff that is no longer used.
  * debian/copyright:
    + Update the years in the copyright field.
  * debian/control:
    + Standards-Version bumped to 3.8.1 (no changes required).

  [ Tim Retout ]
  * debian/compat: Update compat level to 7.
  * debian/control:
    + Build-Depend on debhelper 7.
    + Standards-Version bumped to 3.8.2.
    + Section is now 'database'.
  * debian/rules: Use dh_prep, not dh_clean -k.

 -- Tim Retout <tim@retout.co.uk>  Fri, 17 Jul 2009 12:53:51 +0100

postgresql-autodoc (1.31-1) unstable; urgency=low

  * New upstream version.
    + Fixes compatibility with recent libdbd-pg-perl. (Closes: #469715)
  * debian/rules:
    + Touch config.mk before running 'make distribution-clean', so that we
      never try to use upstream's rule to create it.
    + config.sub and config.guess are unused by ./configure, so remove
      altogether.
  * debian/control: Remove build dependency on autotools-dev.
  * Makefile: Remove change to config.mk creation rule from Debian diff.

 -- Tim Retout <tim@retout.co.uk>  Fri, 02 May 2008 00:45:52 +0100

postgresql-autodoc (1.30-2) unstable; urgency=low

  * New maintainer. (Closes: #439534)
  * debian/compat: Bump debhelper compatibility level to 5.
  * debian/control:
    + Bump Build-Depends on debhelper to at least version 5 (see above).
    + Add Build-Depends on autotools-dev, for config.sub and config.guess.
    + Change "PostrgreSQL" to "PostgreSQL" in description. (Closes: #447688)
    + Wrap long description to 80 characters.
    + Standards-Version bumped to 3.7.3 (no changes required).
    + Add new Homepage field.
    + Add new Vcs-* fields.
  * debian/copyright:
    + Update the years in the copyright field.
    + Add new Debian maintainer.
  * debian/rules:
    + Use RM="rm -f" in distclean line, and remove initial hyphen.
      (Fixes lintian warning about ignoring distclean errors.)
    + Respect DEB_BUILD_GNU_TYPE and DEB_HOST_GNU_TYPE variables, using code
      from autotools-dev documentation.
    + Remove config.sub, config.guess during clean.
  * debian/patches/01_finish_on_undefined_value_fix.dpatch: Remove, since it
    was disabled in the last upload.
  * debian/patches/02_synopsis_correction.dpatch: Add a description of the
    patch. (Fixes lintian warning about missing description.)
  * config.sub, config.guess: Remove in favour of autotools-dev build-dep.

 -- Tim Retout <tim@retout.co.uk>  Mon, 17 Dec 2007 01:32:12 +0000

postgresql-autodoc (1.30-1) unstable; urgency=low

  * New upstream release
  * debian/patches: disabled patch 01_finish_on_undefined_value_fix.dpatch
    since it is no longer needed.
  * debian/control: added needed libterm-readkey-perl to the Build-Depends-Indep
  * debian/control: Standards-Version bumped to 3.7.2 (no changes required)
  * Corrected synopsis both in the usage print in the program and in the man page.
    (Closes: #408505)
  * debian/control: short description rephrased. Thanks to Peter Eisentraut for the help.
    (Closes: #408498)   

 -- Tommaso Moroni <moronito@debian.org>  Sun, 28 Jan 2007 07:26:57 +0100

postgresql-autodoc (1.25-3) unstable; urgency=low

  * Added a dpatch which fixes a bug caused by a method call on an undefined
    variable. Thanks to William McKee for the patch and to Paolo Cavallini
    for testing it. (Closes: #361228)
  * debian/control: put debhelper and dpatch in Build-Depends line; 
                    Standards-Version bumped to 3.7.0 (no changes required).
  
  
 -- Tommaso Moroni <moronito@debian.org>  Mon,  1 May 2006 14:48:53 +0200

postgresql-autodoc (1.25-2) unstable; urgency=low

  * debian/control: 
    - Standards-Version bumped to 3.6.2 (no changes)
    - recommends dia | dia-gnome (Closes: #329050)

 -- Tommaso Moroni <moronito@debian.org>  Tue,  4 Oct 2005 19:18:34 +0200

postgresql-autodoc (1.25-1) unstable; urgency=low

  * New upstream release

 -- Tommaso Moroni <moronito@debian.org>  Sun, 12 Jun 2005 12:08:32 +0200

postgresql-autodoc (1.24-3) unstable; urgency=low

  * debian/control: change section from contrib to main, since 
    graphviz is now in main. (Closes: #298765)
  * debian/copyright: made distiction between copyright and license.

 -- Tommaso Moroni <moronito@debian.org>  Fri, 11 Mar 2005 15:45:25 +0100

postgresql-autodoc (1.24-2) unstable; urgency=low

  * debian/postgresql_autodoc.1: updated to reflect the output of 
    "postgresql_autodoc --help" command. (Closes: #291556)

 -- Tommaso Moroni <moronito@debian.org>  Fri, 21 Jan 2005 18:01:32 +0100

postgresql-autodoc (1.24-1) unstable; urgency=low

  * New upstream release (Closes: #251595)
  * Corrected download URL in debian/copyright

 -- Tommaso Moroni <moronito@debian.org>  Mon, 18 Oct 2004 05:22:38 +0200

postgresql-autodoc (1.23-1) unstable; urgency=low

  * New upstream release (Closes: #252046, #252049)


