=== debian/control ===
Source: postgresql-autodoc
Section: database
Priority: optional
Maintainer: Tim Retout <diocles@debian.org>
Build-Depends: debhelper (>> 7), quilt
Build-Depends-Indep: libdbd-pg-perl, libhtml-template-perl, libterm-readkey-perl
Standards-Version: 3.8.4
Homepage: http://www.rbt.ca/autodoc/
Vcs-Git: git://git.debian.org/git/collab-maint/postgresql-autodoc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/postgresql-autodoc.git

Package: postgresql-autodoc
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libdbd-pg-perl, libhtml-template-perl, libterm-readkey-perl
Recommends: graphviz, docbook-book, dia | dia-gnome, lynx | www-browser
Description: Utility to create a PostgreSQL database schema overview in HTML, DOT and XML
 This is a utility which will run through PostgreSQL tables and returns HTML,
 DOT, and 2 styles of XML which describes the database.
 .
 The HTML is human readable (via webbrowser). The first style of XML is
 actually the fileformat of Dia, a UML diagram tool. The second type of XML is
 similar to the HTML but in the Docbook 4 format. It enables you to mix in
 other docbook documentation via the XREFs, generating PDFs, HTML, RTF, or
 other formatted documents. Between these tools and JavaDoc with the
 appropriate XREFs, documentation about a project can be generated quickly and
 be easily updatable yet have a very professional look with some DSSSL work.
