=== debian/watch ===
version=3
http://www.rbt.ca/autodoc/releasenotes.html  binaries/postgresql_autodoc-(.*)\.tar\.gz  debian  uupdate
