=== debian/changelog ===
postgresql-autodoc (1.41+20200921-1) unstable; urgency=medium

  * Repackaged newest version from GitHub (Closes: #970870)
  * New maintainer with permission from old maintainer.

 -- Willi Mann <willi@debian.org>  Fri, 05 Nov 2021 14:45:17 +0100
