## postgresql-autodoc 1.41+20200921

=== debian/control ===
Source: postgresql-autodoc
Section: database
Priority: optional
Maintainer: Willi Mann <willi@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/cbbrowne/autodoc
Vcs-Browser: https://salsa.debian.org/debian/postgresql-autodoc
Vcs-Git: https://salsa.debian.org/debian/postgresql-autodoc.git
Rules-Requires-Root: no

Package: postgresql-autodoc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libdbd-pg-perl, libhtml-template-perl, libterm-readkey-perl
Suggests: graphviz, docbook-book
Description:  Utility to create a PostgreSQL database schema overview in HTML, DOT and XML
 This is a utility which will run through PostgreSQL tables and returns HTML,
 DOT, and 2 styles of XML which describes the database.
 .
 The HTML is human readable (via webbrowser). The first style of XML is
 actually the fileformat of Dia, a UML diagram tool. The second type of XML is
 similar to the HTML but in the Docbook 4 format. It enables you to mix in
 other DocBook documentation via the XREFs, generating PDFs, HTML, RTF, or
 other formatted documents. Between these tools and JavaDoc with the
 appropriate XREFs, documentation about a project can be generated quickly and
 be easily updatable yet have a very professional look with some DSSSL work.
