=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

export DESTDIR=$(CURDIR)/debian/postgresql-autodoc
export TEMPLATEDIR=/usr/share/postgresql-autodoc

override_dh_auto_clean:

override_dh_auto_build:


override_dh_auto_install:
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/postgresql-autodoc
	mkdir -p $(DESTDIR)/usr/share/man/man1
	
	sed -e 's:@@TEMPLATE-DIR@@:$(TEMPLATEDIR):' -e 's:/usr/bin/env perl:/usr/bin/perl:' postgresql_autodoc.pl > $(DESTDIR)/usr/bin/postgresql_autodoc
	sed 's:@@TEMPLATE-DIR@@:$(TEMPLATEDIR):' postgresql_autodoc.1.in > $(DESTDIR)/usr/share/man/man1/postgresql_autodoc.1
	for i in *.tmpl; do cp $$i $(DESTDIR)/usr/share/postgresql-autodoc; done
